Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.datatable
Class DataTableDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          info.webinsel.util.swing.OkCancelApplyDialog
                              info.webinsel.util.swing.OkCancelApplyHelpDialog
                                  info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
                                      info.bioinfweb.treegraph.gui.dialogs.EditDialog
                                          info.bioinfweb.treegraph.gui.dialogs.datatable.DataTableDialog

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class DataTableDialog

extends EditDialog

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private javax.swing.JButton` | `addToValuesButton`
`private javax.swing.JButton` | `applyNameTableButton`
`private AssignImportColumnsDialog` | `assignImportDialog`
`private javax.swing.JButton` | `copyButton`
`private CopyNodeDataDialog` | `copyDialog`
`static int` | `DATA_COLUMN_WIDTH`
`private javax.swing.JSplitPane` | `dataSplitPane`
`static int` | `DECIMAL_COLUMN_WIDTH`
`private info.webinsel.util.swing.DecimalInputDialog` | `decimalInputDialog`
`static int` | `DEFAULT_TREE_VIEW_WIDTH`
`private javax.swing.JButton` | `deleteButton`
`private javax.swing.JPanel` | `editButtonsPanel`
`static java.lang.String` | `EXPORT_FILE_EXT`
`private javax.swing.JButton` | `exportButton`
`private ExportNodeDataDialog` | `exportDialog`
`private javax.swing.JButton` | `expValuesButton`
`private javax.swing.JFileChooser` | `fileChooser`
`private javax.swing.JButton` | `importButton`
`private javax.swing.JPanel` | `jContentPane`
`private javax.swing.JButton` | `logValuesButton`
`private javax.swing.JButton` | `multiplyValuesButton`
`private ApplyNameTableDialog` | `nameTableDialog`
`private javax.swing.JButton` | `raiseToButton`
`private javax.swing.JButton` | `renameIDButton`
`private RenameIDDialog` | `renameIDDialog`
`private javax.swing.JButton` | `replaceButton`
`private ReplaceInNodeDataDialog` | `replaceDialog`
`private DataTableDialog` | `self`
`private static long` | `serialVersionUID`
`private javax.swing.JButton` | `setDecimalToAllButton`
`private javax.swing.JButton` | `setTextToAllButton`
`private javax.swing.JTable` | `table`
`private javax.swing.JScrollPane` | `tableScrollPane`
`private javax.swing.JScrollPane` | `treeScrollPane`
`private TreeViewPanel` | `treeViewPanel`

Fields inherited from class info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
`UNDEFINED_HELP_CODE`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DataTableDialog(java.awt.Frame owner)`

Method Summary
`protected void` | `apply()`
`private void` | `assignDocument(Document document)`
`private boolean` | `executeDialog(EditDialog dialog)`
`private javax.swing.JButton` | `getAddToValuesButton()` This method initializes addToValuesButton
`private javax.swing.JButton` | `getApplyNameTableButton()` This method initializes applyNameTableButton
`private javax.swing.JButton` | `getCopyButton()` This method initializes copyButton
`private javax.swing.JSplitPane` | `getDataSplitPane()` This method initializes dataSplitPane
`private javax.swing.JButton` | `getDeleteButton()` This method initializes deleteButton
`private javax.swing.JPanel` | `getEditButtonsPanel()` This method initializes editButtonsPanel
`private javax.swing.JButton` | `getExportButton()` This method initializes exportButton
`private javax.swing.JButton` | `getExpValuesButton()` This method initializes expValuesButton
`private javax.swing.JFileChooser` | `getFileChooser()`
`private javax.swing.JButton` | `getImportButton()` This method initializes importButton
`private javax.swing.JPanel` | `getJContentPane()` This method initializes jContentPane
`private javax.swing.JButton` | `getLogValuesButton()` This method initializes logButton
`private javax.swing.JButton` | `getMultiplyValuesButton()` This method initializes multiplyValuesButton
`private javax.swing.JButton` | `getRaiseToButton()` This method initializes raiseToButton
`private javax.swing.JButton` | `getRenameIDButton()` This method initializes renameIDButton
`private javax.swing.JButton` | `getReplaceButton()` This method initializes replaceButton
`private javax.swing.JButton` | `getSetDecimalToAllButton()` This method initializes setDecimalToAllButton
`private javax.swing.JButton` | `getSetTextToAllButton()` This method initializes setTextToAllButton
`private javax.swing.JTable` | `getTable()` This method initializes table
`private NodeDataTableModel` | `getTableModel()`
`private javax.swing.JScrollPane` | `getTableScrollPane()` This method initializes tableScrollPane
`private javax.swing.JScrollPane` | `getTreeScrollPane()` This method initializes treeScrollPane
`private TreeViewPanel` | `getTreeViewPanel()` This method initializes treeViewPanel
`private void` | `initialize()` This method initializes this
`protected boolean` | `onExecute()`
`private void` | `setButtonStatus()`
`private void` | `setColumnWidths()`

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.EditDialog
`execute, getDocument, getSelection, setDocument, setSelection`

Methods inherited from class info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
`getHelpCode, getWikiHelp, help, setHelpCode`

Methods inherited from class info.webinsel.util.swing.OkCancelApplyHelpDialog
`addMoreButtons`

Methods inherited from class info.webinsel.util.swing.OkCancelApplyDialog
`execute, getApplyButton, getButtonsPanel, getCancelButton, getOkButton`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXPORT_FILE_EXT

    public static final java.lang.String EXPORT_FILE_EXT

See Also:
  Constant Field Values

### DEFAULT_TREE_VIEW_WIDTH

    public static final int DEFAULT_TREE_VIEW_WIDTH

See Also:
  Constant Field Values

### DATA_COLUMN_WIDTH

    public static final int DATA_COLUMN_WIDTH

See Also:
  Constant Field Values

### DECIMAL_COLUMN_WIDTH

    public static final int DECIMAL_COLUMN_WIDTH

See Also:
  Constant Field Values

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### self

    private DataTableDialog self

### exportDialog

    private ExportNodeDataDialog exportDialog

### fileChooser

    private javax.swing.JFileChooser fileChooser

### assignImportDialog

    private AssignImportColumnsDialog assignImportDialog

### copyDialog

    private CopyNodeDataDialog copyDialog

### decimalInputDialog

    private info.webinsel.util.swing.DecimalInputDialog decimalInputDialog

### nameTableDialog

    private ApplyNameTableDialog nameTableDialog

### replaceDialog

    private ReplaceInNodeDataDialog replaceDialog

### renameIDDialog

    private RenameIDDialog renameIDDialog

### jContentPane

    private javax.swing.JPanel jContentPane

### editButtonsPanel

    private javax.swing.JPanel editButtonsPanel

### deleteButton

    private javax.swing.JButton deleteButton

### copyButton

    private javax.swing.JButton copyButton

### importButton

    private javax.swing.JButton importButton

### exportButton

    private javax.swing.JButton exportButton

### addToValuesButton

    private javax.swing.JButton addToValuesButton

### multiplyValuesButton

    private javax.swing.JButton multiplyValuesButton

### dataSplitPane

    private javax.swing.JSplitPane dataSplitPane

### treeViewPanel

    private TreeViewPanel treeViewPanel

### tableScrollPane

    private javax.swing.JScrollPane tableScrollPane

### table

    private javax.swing.JTable table

### treeScrollPane

    private javax.swing.JScrollPane treeScrollPane

### applyNameTableButton

    private javax.swing.JButton applyNameTableButton

### renameIDButton

    private javax.swing.JButton renameIDButton

### logValuesButton

    private javax.swing.JButton logValuesButton

### expValuesButton

    private javax.swing.JButton expValuesButton

### raiseToButton

    private javax.swing.JButton raiseToButton

### replaceButton

    private javax.swing.JButton replaceButton

### setDecimalToAllButton

    private javax.swing.JButton setDecimalToAllButton

### setTextToAllButton

    private javax.swing.JButton setTextToAllButton

Constructor Detail

### DataTableDialog

    public DataTableDialog(java.awt.Frame owner)

Parameters:
  `owner` -

Method Detail

### executeDialog

    private boolean executeDialog(EditDialog dialog)

### setColumnWidths

    private void setColumnWidths()

### assignDocument

    private void assignDocument(Document document)

### onExecute

    protected boolean onExecute()

  Specified by:
    `onExecute` in class `EditDialog`

### apply

    protected void apply()

  Specified by:
    `apply` in class `info.webinsel.util.swing.OkCancelApplyDialog`

### setButtonStatus

    private void setButtonStatus()

### getTableModel

    private NodeDataTableModel getTableModel()

### initialize

    private void initialize()

  This method initializes this

### getFileChooser

    private javax.swing.JFileChooser getFileChooser()

### getJContentPane

    private javax.swing.JPanel getJContentPane()

  This method initializes jContentPane

  Returns:
    javax.swing.JPanel

### getEditButtonsPanel

    private javax.swing.JPanel getEditButtonsPanel()

  This method initializes editButtonsPanel

  Returns:
    javax.swing.JPanel

### getImportButton

    private javax.swing.JButton getImportButton()

  This method initializes importButton

  Returns:
    javax.swing.JButton

### getExportButton

    private javax.swing.JButton getExportButton()

  This method initializes exportButton

  Returns:
    javax.swing.JButton

### getAddToValuesButton

    private javax.swing.JButton getAddToValuesButton()

  This method initializes addToValuesButton

  Returns:
    javax.swing.JButton

### getMultiplyValuesButton

    private javax.swing.JButton getMultiplyValuesButton()

  This method initializes multiplyValuesButton

  Returns:
    javax.swing.JButton

### getDeleteButton

    private javax.swing.JButton getDeleteButton()

  This method initializes deleteButton

  Returns:
    javax.swing.JButton

### getCopyButton

    private javax.swing.JButton getCopyButton()

  This method initializes copyButton

  Returns:
    javax.swing.JButton

### getDataSplitPane

    private javax.swing.JSplitPane getDataSplitPane()

  This method initializes dataSplitPane

  Returns:
    javax.swing.JSplitPane

### getTreeViewPanel

    private TreeViewPanel getTreeViewPanel()

  This method initializes treeViewPanel

  Returns:
    javax.swing.JPanel

### getTableScrollPane

    private javax.swing.JScrollPane getTableScrollPane()

  This method initializes tableScrollPane

  Returns:
    javax.swing.JScrollPane

### getTable

    private javax.swing.JTable getTable()

  This method initializes table

  Returns:
    javax.swing.JTable

### getTreeScrollPane

    private javax.swing.JScrollPane getTreeScrollPane()

  This method initializes treeScrollPane

  Returns:
    javax.swing.JScrollPane

### getApplyNameTableButton

    private javax.swing.JButton getApplyNameTableButton()

  This method initializes applyNameTableButton

  Returns:
    javax.swing.JButton

### getRenameIDButton

    private javax.swing.JButton getRenameIDButton()

  This method initializes renameIDButton

  Returns:
    javax.swing.JButton

### getLogValuesButton

    private javax.swing.JButton getLogValuesButton()

  This method initializes logButton

  Returns:
    javax.swing.JButton

### getExpValuesButton

    private javax.swing.JButton getExpValuesButton()

  This method initializes expValuesButton

  Returns:
    javax.swing.JButton

### getRaiseToButton

    private javax.swing.JButton getRaiseToButton()

  This method initializes raiseToButton

  Returns:
    javax.swing.JButton

### getReplaceButton

    private javax.swing.JButton getReplaceButton()

  This method initializes replaceButton

  Returns:
    javax.swing.JButton

### getSetDecimalToAllButton

    private javax.swing.JButton getSetDecimalToAllButton()

  This method initializes setDecimalToAllButton

  Returns:
    javax.swing.JButton

### getSetTextToAllButton

    private javax.swing.JButton getSetTextToAllButton()

  This method initializes setTextToAllButton

  Returns:
    javax.swing.JButton

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD